Package org.apache.storm.security.auth.authorizer

# Class SupervisorSimpleACLAuthorizer

java.lang.Object
org.apache.storm.security.auth.authorizer.SupervisorSimpleACLAuthorizer

All Implemented Interfaces:
  `IAuthorizer`

public class SupervisorSimpleACLAuthorizer extends Object implements IAuthorizer
An authorization implementation that simply checks if a user is allowed to perform specific operations.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected Set<String>`
  `admins`
  `protected Set<String>`
  `adminsGroups`
  `protected IGroupMappingServiceProvider`
  `groupMappingServiceProvider`
  `protected Set<String>`
  `nimbus`
  `protected Set<String>`
  `nimbusCommands`
  `protected IPrincipalToLocal`
  `ptol`
  `protected Set<String>`
  `topoCommands`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `SupervisorSimpleACLAuthorizer()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `permit(ReqContext context, String operation, Map<String,Object> topoConf)`
  permit() method is invoked for each incoming Thrift request.
  `void`
  `prepare(Map<String,Object> conf)`
  Invoked once immediately after construction.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### topoCommands

    protected Set<String> topoCommands

  - ### nimbusCommands

    protected Set<String> nimbusCommands

  - ### admins

    protected Set<String> admins

  - ### adminsGroups

    protected Set<String> adminsGroups

  - ### nimbus

    protected Set<String> nimbus

  - ### ptol

    protected IPrincipalToLocal ptol

  - ### groupMappingServiceProvider

    protected IGroupMappingServiceProvider groupMappingServiceProvider

- ## Constructor Details

  - ### SupervisorSimpleACLAuthorizer

    public SupervisorSimpleACLAuthorizer()

- ## Method Details

  - ### prepare

    public void prepare(Map<String,Object> conf)
    Invoked once immediately after construction.
    Specified by:
      `prepare` in interface `IAuthorizer`
    Parameters:
      `conf` - Storm configuration

  - ### permit

    public boolean permit(ReqContext context, String operation, Map<String,Object> topoConf)
    permit() method is invoked for each incoming Thrift request.
    Specified by:
      `permit` in interface `IAuthorizer`
    Parameters:
      `context` - request context includes info about
      `operation` - operation name
      `topoConf` - configuration of targeted topology
    Returns:
      true if the request is authorized, false if reject